APIAnalytics

List LLM sessions

Sessions ranked by cost or tokens, with per-session usage.

GET
/analytics/llm-sessions

Sessions ranked by cost or tokens, with per-session usage.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

view_llm_analytics

Query Parameters

scope?string

own returns only the caller's own records, even when they may see the whole organization. all, the default, returns everything the caller may see. It never widens what the caller may see.

Value in"all""own"
offset?integer

Number of items to skip before returning results.

Formatint32
Range0 <= value
Default0
limit?integer

Maximum number of items to return per page.

Formatint32
Range0 <= value <= 256
Default10
start_time*string

Start of the time range to report on, inclusive.

Formatdate-time
end_time*string

End of the time range to report on, exclusive.

Formatdate-time
sort?string

Ordering for the session list: by cost, tokens, or recent activity.

Value in"cost""tokens""recent"
provider?array<>

Filter to specific LLM telemetry providers.

model?array<string>

Filter to specific model names.

user_id?array<>

Filter to specific users by id.

user_group?array<string>

Filter to users in specific groups.

session_key?string

Restrict to a single session (for deep links).

Response Body

The request has succeeded.

application/json
  1. response

Ranked list of sessions.

items*array<>

The items in this page.

meta*

Paging information for a list response.

Example Request
curl -X GET 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/analytics/llm-sessions?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z'
Example Response
{  "items": [    {      "session_key": "string",      "provider": "claude",      "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",      "user_name": "string",      "models": [        "string"      ],      "tokens": 0,      "by_type": [        {          "type": "string",          "tokens": 0        }      ],      "cost": 0.1,      "request_count": 0,      "started_at": "2019-08-24T14:15:22Z",      "last_activity_at": "2019-08-24T14:15:22Z",      "duration_ms": 0    }  ],  "meta": {    "total": 0,    "offset": 0,    "limit": 0  }}